> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.hublinks.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.hublinks.io/_mcp/server.

# Create profile

POST https://hublinks.io/rest/accounts/{account_id}/campaigns/{campaign_id}/profiles
Content-Type: application/json

Add a prospect to a campaign. Send a LinkedIn profile URL (`ln_profile_url`) or LinkedIn profile id (`ln_profile_id`); contact and company fields are optional and are filled in by enrichment when missing.

The campaign needs at least one seat and one filter, otherwise the request fails with `400`. The seat and filter are picked automatically.

Adding someone who is already in the campaign is not an error: the response is `200` with `duplicate: true` and the existing prospect.

Reference: https://api.hublinks.io/api-reference/campaigns/profiles/create-profile

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `account_id` (string, required)
- `campaign_id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `ln_profile_url` (string, optional)
- `ln_profile_id` (string, optional)
- `ln_public_id` (string, optional)
- `urn_sn` (string, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `full_name` (string, optional)
- `job_title` (string, optional)
- `ln_headline` (string, optional)
- `email_business` (string, optional)
- `phone_mobile` (string, optional)
- `comp_name` (string, optional)
- `comp_website` (string, optional)
- `comp_industry_name` (string, optional)
- `comp_location_region` (string, optional)
- `custom_field_1` (string, optional)
- `custom_field_2` (string, optional)
- `custom_field_3` (string, optional)
- `custom_field_4` (string, optional)
- `custom_field_5` (string, optional)
- `custom_field_6` (string, optional)

## Response

### 200

Successful response

- `success` (boolean, required)
- `profile` (Profile, optional)
- `duplicate` (any, optional)

## Types

### Profile

- `id` (string, optional)
- `campaign_id` (string, optional)
- `account_id` (string, optional)
- `seat_id` (string, optional)
- `filter_id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `PENDING`, `INIT`, `RUN`, `NEED_ENRICH`, `NEED_SQS_ENRICH`, `DONE`, `SKIP`, `LOCKED`, `ERROR_FIELD`, `ERROR_ENRICH`, `ERROR_SEND`, `ERROR_WORKFLOW`, `ERROR_NODE`, `ERROR`, `BLACKLISTED`
- `source` (string, optional)
- `ln_profile_id` (string, optional)
- `ln_public_id` (string, optional)
- `ln_member_id` (string, optional)
- `urn_sn` (string, optional)
- `ln_profile_url` (string, optional)
- `email_business` (string, optional)
- `phone_mobile` (string, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `full_name` (string, optional)
- `job_title` (string, optional)
- `ln_headline` (string, optional)
- `ln_degree` (integer, optional)
- `ln_premium` (boolean, optional)
- `ln_open_link` (boolean, optional)
- `ln_influencer` (boolean, optional)
- `ln_verified` (boolean, optional)
- `comp_id` (string, optional)
- `comp_name` (string, optional)
- `comp_website` (string, optional)
- `comp_industry_name` (string, optional)
- `comp_location_region` (string, optional)
- `custom_field_1` (string, optional)
- `custom_field_2` (string, optional)
- `custom_field_3` (string, optional)
- `custom_field_4` (string, optional)
- `custom_field_5` (string, optional)
- `custom_field_6` (string, optional)
- `opportunity_score` (integer, optional)
- `signals` (ProfileSignals, optional)
- `outreach_approved_at` (integer, optional)
- `last_action` (string, optional)
- `last_action_at` (double, optional)
- `next_action` (string, optional)
- `ln_connected_at` (integer, optional)
- `ln_profile_invited_at` (integer, optional)
- `ln_page_invited_at` (integer, optional)
- `ln_profile_message_at` (integer, optional)
- `ln_profile_replied_at` (integer, optional)
- `ln_company_replied_at` (integer, optional)
- `ln_profile_inmail_count` (integer, optional)
- `ln_profile_message_count` (integer, optional)
- `ln_company_message_count` (integer, optional)
- `ln_profile_replies_count` (integer, optional)
- `ln_company_replies_count` (integer, optional)
- `ln_post_reaction` (string, optional)
- `email_sent_count` (integer, optional)
- `email_sent_at` (integer, optional)
- `email_replies_count` (integer, optional)
- `email_replied_at` (integer, optional)
- `email_opened_count` (integer, optional)
- `email_opened_at` (integer, optional)
- `email_unsubscribed_count` (integer, optional)
- `email_unsubscribed_at` (integer, optional)
- `created_at` (integer, optional)

### ProfileSignals

## Examples

### Response

**Response**

```json
{
  "success": true,
  "profile": {
    "campaign_id": "CAMP1XXXXXXXXXXXXXXXXXXX",
    "account_id": "ACCOXXXXXXXXXXXXXXXXXXXX",
    "seat_id": "SEAT2XXXXXXXXXXXXXXXXXXX",
    "status": "RUN",
    "first_name": "John",
    "last_name": "Doe"
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles';
const options = {method: 'POST', headers: {'X-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Campaigns_Profiles_Create profile_example

**Request**

```json
{
  "ln_profile_url": "https://www.linkedin.com/in/jane-doe",
  "first_name": "Jane",
  "last_name": "Doe",
  "email_business": "jane@example.com",
  "comp_name": "Example Inc"
}
```

**Response**

```json
{
  "success": true,
  "profile": {
    "campaign_id": "CAMP1XXXXXXXXXXXXXXXXXXX",
    "account_id": "ACCOXXXXXXXXXXXXXXXXXXXX",
    "seat_id": "SEAT2XXXXXXXXXXXXXXXXXXX",
    "status": "RUN",
    "first_name": "John",
    "last_name": "Doe"
  }
}
```

**SDK Code**

```python Campaigns_Profiles_Create profile_example
import requests

url = "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles"

payload = {
    "ln_profile_url": "https://www.linkedin.com/in/jane-doe",
    "first_name": "Jane",
    "last_name": "Doe",
    "email_business": "jane@example.com",
    "comp_name": "Example Inc"
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Campaigns_Profiles_Create profile_example
const url = 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"ln_profile_url":"https://www.linkedin.com/in/jane-doe","first_name":"Jane","last_name":"Doe","email_business":"jane@example.com","comp_name":"Example Inc"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Campaigns_Profiles_Create profile_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles"

	payload := strings.NewReader("{\n  \"ln_profile_url\": \"https://www.linkedin.com/in/jane-doe\",\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"email_business\": \"jane@example.com\",\n  \"comp_name\": \"Example Inc\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Campaigns_Profiles_Create profile_example
require 'uri'
require 'net/http'

url = URI("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ln_profile_url\": \"https://www.linkedin.com/in/jane-doe\",\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"email_business\": \"jane@example.com\",\n  \"comp_name\": \"Example Inc\"\n}"

response = http.request(request)
puts response.read_body
```

```java Campaigns_Profiles_Create profile_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ln_profile_url\": \"https://www.linkedin.com/in/jane-doe\",\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"email_business\": \"jane@example.com\",\n  \"comp_name\": \"Example Inc\"\n}")
  .asString();
```

```php Campaigns_Profiles_Create profile_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles', [
  'body' => '{
  "ln_profile_url": "https://www.linkedin.com/in/jane-doe",
  "first_name": "Jane",
  "last_name": "Doe",
  "email_business": "jane@example.com",
  "comp_name": "Example Inc"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Campaigns_Profiles_Create profile_example
using RestSharp;

var client = new RestClient("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ln_profile_url\": \"https://www.linkedin.com/in/jane-doe\",\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"email_business\": \"jane@example.com\",\n  \"comp_name\": \"Example Inc\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Campaigns_Profiles_Create profile_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "ln_profile_url": "https://www.linkedin.com/in/jane-doe",
  "first_name": "Jane",
  "last_name": "Doe",
  "email_business": "jane@example.com",
  "comp_name": "Example Inc"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```